fix tox python3 overrides

Bug #1802032 reported by shupeng on 2018-11-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Medium
Andriy Shevchenko

Bug Description

We want to default to running all tox environments under python 3, so
set the basepython value in each environment.

We do not want to specify a minor version number, because we do not
want to have to update the file every time we upgrade python.

We do not want to set the override once in testenv, because that
breaks the more specific versions used in default environments like
py35 and py36.

Ghada Khalil (gkhalil) on 2018-11-07
tags: added: stx.python2
Changed in starlingx:
importance: Undecided → Medium
Ghada Khalil (gkhalil) wrote :

Assigning to Andriy as I believe he is already working on this bug as per this review:
https://review.openstack.org/#/c/608210/

Changed in starlingx:
assignee: nobody → Andriy Shevchenko (shevchenko-a)
status: New → Triaged
tags: added: stx.zuul
tags: removed: stx.python2

Reviewed: https://review.openstack.org/608207
Committed: https://git.openstack.org/cgit/openstack/stx-clients/commit/?id=cc79b5659049b6d882eaa176858f30b7006d9d58
Submitter: Zuul
Branch: master

commit cc79b5659049b6d882eaa176858f30b7006d9d58
Author: 98k <18552437190@163.com>
Date: Fri Oct 5 10:30:30 2018 +0000

    fix tox python3 overrides

    We want to default to running all tox environments under python 3, so
    set the basepython value in each environment.

    We do not want to specify a minor version number, because we do not
    want to have to update the file every time we upgrade python.

    We do not want to set the override once in testenv, because that
    breaks the more specific versions used in default environments like
    py35 and py36.

    Change-Id: I9383c8f33cf476b7c8dff184089e40aa591c6d6c
    Closes-Bug: #1802032

Changed in starlingx:
status: Triaged → Fix Released

Reviewed: https://review.openstack.org/608213
Committed: https://git.openstack.org/cgit/openstack/stx-distcloud-client/commit/?id=8b348b91d5fed966056501ef6ae949ad5444b142
Submitter: Zuul
Branch: master

commit 8b348b91d5fed966056501ef6ae949ad5444b142
Author: 98k <18552437190@163.com>
Date: Fri Oct 5 10:36:18 2018 +0000

    fix tox python3 overrides

    We want to default to running all tox environments under python 3, so
    set the basepython value in each environment.

    We do not want to specify a minor version number, because we do not
    want to have to update the file every time we upgrade python.

    We do not want to set the override once in testenv, because that
    breaks the more specific versions used in default environments like
    py35 and py36.

    Change-Id: I53abcd174e403ac3d6843f7f6c6320e9e9677a9d
    Closes-Bug: #1802032
    Signed-off-by: 98k <18552437190@163.com>

Reviewed: https://review.openstack.org/608210
Committed: https://git.openstack.org/cgit/openstack/stx-distcloud/commit/?id=9a976a61c38c22b8465cc84a730686c3138c466b
Submitter: Zuul
Branch: master

commit 9a976a61c38c22b8465cc84a730686c3138c466b
Author: 98k <18552437190@163.com>
Date: Fri Oct 5 10:34:55 2018 +0000

    fix tox python3 overrides

    We want to default to running all tox environments under python 3, so
    set the basepython value in each environment.

    We do not want to specify a minor version number, because we do not
    want to have to update the file every time we upgrade python.

    We do not want to set the override once in testenv, because that
    breaks the more specific versions used in default environments like
    py35 and py36.

    Change-Id: I24b87db5bd80876ff631698350606aa4e23919ee
    Closes-Bug: #1802032
    Signed-off-by: 98k <18552437190@163.com>

Ghada Khalil (gkhalil) on 2018-11-30
tags: added: stx.2019.03

Reviewed: https://review.openstack.org/608227
Committed: https://git.openstack.org/cgit/openstack/stx-specs/commit/?id=5ea99870e391eafd77a80db6cd744eb75314fa36
Submitter: Zuul
Branch: master

commit 5ea99870e391eafd77a80db6cd744eb75314fa36
Author: 98k <18552437190@163.com>
Date: Fri Oct 5 10:59:20 2018 +0000

    fix tox python3 overrides

    We want to default to running all tox environments under python 3, so
    set the basepython value in each environment.

    We do not want to specify a minor version number, because we do not
    want to have to update the file every time we upgrade python.

    We do not want to set the override once in testenv, because that
    breaks the more specific versions used in default environments like
    py35 and py36.

    Change-Id: I360cea415303e794c6cbacc26e91f4c8735373fb
    Partial-Bug: #1802032
    Signed-off-by: Andriy Shevchenko <18552437190@163.com>

Ken Young (kenyis) on 2019-01-18
tags: added: stx.2019.05
removed: stx.2019.03

Reviewed: https://review.openstack.org/608223
Committed: https://git.openstack.org/cgit/openstack/stx-metal/commit/?id=90cb458f7e3220e258e3e5256b627feca20461d6
Submitter: Zuul
Branch: master

commit 90cb458f7e3220e258e3e5256b627feca20461d6
Author: 98k <18552437190@163.com>
Date: Fri Oct 5 10:53:59 2018 +0000

    fix tox python3 overrides

    We want to default to running all tox environments under python 3, so
    set the basepython value in each environment.

    We do not want to specify a minor version number, because we do not
    want to have to update the file every time we upgrade python.

    We do not want to set the override once in testenv, because that
    breaks the more specific versions used in default environments like
    py35 and py36.

    Change-Id: I1bd6a3aebbbe539d4f21ca71c76d92e3c325c1e8
    Closes-Bug: #1802032

Ken Young (kenyis) on 2019-04-05
tags: added: stx.2.0
removed: stx.2019.05

Reviewed: https://review.opendev.org/608214
Committed: https://git.openstack.org/cgit/starlingx/docs/commit/?id=857d9b1ff16b819370f53b8e4b42f1a05a18ff8e
Submitter: Zuul
Branch: master

commit 857d9b1ff16b819370f53b8e4b42f1a05a18ff8e
Author: 98k <18552437190@163.com>
Date: Fri Oct 5 10:37:36 2018 +0000

    fix tox python3 overrides

    We want to default to running all tox environments under python 3, so
    set the basepython value in each environment.

    We do not want to specify a minor version number, because we do not
    want to have to update the file every time we upgrade python.

    We do not want to set the override once in testenv, because that
    breaks the more specific versions used in default environments like
    py35 and py36.

    Change-Id: I4dae808f500bd5c8caa462a2d1deae157adff29d
    Closes-Bug: #1802032

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers